org.springframework.batch.sample.support

## Class SummaryFooterCallback

- java.lang.Object
- - org.springframework.batch.core.listener.StepExecutionListenerSupport
  - - org.springframework.batch.sample.support.SummaryFooterCallback

- All Implemented Interfaces:
    StepExecutionListener, StepListener, FlatFileFooterCallback

      public class SummaryFooterCallback
      extends StepExecutionListenerSupport
      implements FlatFileFooterCallback

  Writes summary info in the footer of a file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SummaryFooterCallback()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeStep(StepExecution stepExecution)` Initialize the state of the listener with the `StepExecution` from the current scope.
    `void` | `writeFooter(java.io.Writer writer)` Write contents to a file using the supplied `Writer`.

    - ### Methods inherited from class org.springframework.batch.core.listener.StepExecutionListenerSupport

      `afterStep`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SummaryFooterCallback

          public SummaryFooterCallback()

  - ### Method Detail

    - #### writeFooter

          public void writeFooter(java.io.Writer writer)
                           throws java.io.IOException

      Description copied from interface: `FlatFileFooterCallback`
      Write contents to a file using the supplied `Writer`. It is not required to flush the writer inside this method.
      Specified by:
        `writeFooter` in interface `FlatFileFooterCallback`
      Throws:
        `java.io.IOException`

    - #### beforeStep

          public void beforeStep(StepExecution stepExecution)

      Description copied from interface: `StepExecutionListener`
      Initialize the state of the listener with the `StepExecution` from the current scope.
      Specified by:
        `beforeStep` in interface `StepExecutionListener`
      Overrides:
        `beforeStep` in class `StepExecutionListenerSupport`